#include <iostream>
#include<cmath>

using namespace std;

#define FAST ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);cerr.tie(NULL)

void tacno(long int a[30000],long int b[30000],int t1[100],int n,int k){
	int i,j,indeks;
	
	for(i=0;i<n;i++){
		for(j=0;j<n;j++)
			if(a[i]==abs(b[j])){
				indeks=j;
				
				if(abs(indeks-i)%2==1 && b[indeks]*(-1)==a[i])
					t1[k]=1;
					
				else if(abs(indeks-i)%2==0 && b[indeks]==a[i])
					t1[k]=1;
				
				else
					t1[k]=0;
			}		
	}
	
}

void ispis(int t1[100],int t){
	int i;
	
	for(i=0;i<t;i++){
		if(t1[i]==1)
			cout << "DA" << endl;
			
		else if(t1[i]==0)
			cout << "NE" << endl;
	}
}

int main(){
	int t,n,i,j,t1[100];
	long int a[30000],b[30000];
	
	cin >> t;
	
	for(j=0;j<t;j++){
		cin >> n;
		
		for(i=0;i<n;i++)
			cin >> a[i];
		
		for(i=0;i<n;i++)
			cin >> b[i];
			
		tacno(a,b,t1,n,j);
	}
	
	ispis(t1,t);
	return 0;
}